Subject: RE: [patch 2.6.25-git] spi_mpc83xx much improved driver

From: "Joakim Tjernlund" <[email-masked]>
Date: Thu, 1 May 2008 12:42:01 +0200

> -----Original Message-----
> From: David Brownell [mailto:[email-masked]]
> Sent: den 1 maj 2008 00:56
> To: Andrew Morton
> Cc: [email-masked]; =
[email-masked]; [email-masked];
> [email-masked]
> Subject: Re: [patch 2.6.25-git] spi_mpc83xx much improved driver
>=20
> On Wednesday 30 April 2008, Andrew Morton wrote:
> > > +=A0=A0=A0=A0=A0spin_lock_irq(&mpc83xx_spi->lock);
> >
> > irq-safe.
> >
> > > ...
> > >
> > > +=A0=A0=A0=A0=A0spin_lock(&mpc83xx_spi->lock);
> >
> > not irq-safe.
> >
> > Deliberate?
>=20
> That latter one is inside an #if 0/#endif block, so it won't matter.
> The #if 0 block bothered me.  Maybe Joakim can remove it.

The non irq-safe spin_lock was there before my patch and now it is
removed with the #if 0/#endif block. I don't need this code but
I left it there disabled to make it clear for everyone else
that it was removed. I can remove it but I rather leave it
there for one release so everyone will have a chance to see
it and object if they feel differently.

>=20
> (By the way, I'd feel safer about this patch if there were an
> ack or two from more PPC folk...)

 Yeah, that would be good.

 Jocke